请选择 进入手机版 | 继续访问电脑版

站长分享圈

 找回密码
 立即注册

[建站经验] 2次开发的帝国CMS模板最佳环境推荐

[复制链接]
发表于 2022-6-27 08:19:22 | 显示全部楼层 |阅读模式
很多站长喜欢追求新的,比如PHP7.5 8.0 mysql版本8.0等等,总 以为越新性能越好或安全性越高。
理论上是没有问题,但是很多源码开发跟不上环境,帝国CMS不算与时俱进的系统,你看版本更新都
很缓慢。所以最新的环境无法匹配帝国CMS。加上2次开发仿站的也是这样的情况。

测试过N个帝国CMS模板,多少有点发言权:推荐常见的环境便可。

帝国CMS7.5  一般推荐宝塔LINUX+PHP5.6+MYSQL5.6便可。

(帝国CMS7.5默认是支持PHP7.0了,但是2次开发的很多还是停留在以前的标签模式,
所以版本高了兼容性不好,会出现很多意想不到的错误)。MYSQL5.7 下测试过N个程序
也会出现莫名的小错误。5.5或5.6相比比较完美。

帝国CMS7.0-7.2  一般推荐宝塔LINUX+PHP5.2+MYSQL5.5便可

以前的帝国CMS不支持PHP更高版本,尤其7.0我们一般都是在PHP5.2下完美。
PHP版本一高也会出现很多不兼容。

很多站长喜欢强制安装,也许安装没有问题,但你仔细测试或使用中多少还是会发现不少小错误的。
有些站长一碰到小错误就觉得是源码问题,从来不考虑是不是环境不兼容。
建议多试试不同环境下,包括环境设置,我们现在都是用别人开发的源码,只有我们适用源码,不可能
让源码适用我们了。
提醒 :站长请严格遵守互联网法律法规建站,远离黄,赌,骗网站架设,也拒绝给任何涉灰行业提供广告引流服务!互联网不是法外之地!
回复

使用道具 举报

QQ|TAG|Archiver|小黑屋|Adminn.Cn ( 浙ICP备2022017653号-1 )

GMT+8, 2022-8-19 21:23 , Processed in 0.066801 second(s), 5 queries , MemCache On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表